## org.biojava.bio.seq.io.agave
Class AGAVECompResultHandler

    java.lang.Object
      org.biojava.bio.seq.io.agave.StAXContentHandlerBase
          org.biojava.bio.seq.io.agave.StAXFeatureHandler
              org.biojava.bio.seq.io.agave.AGAVECompResultHandler

All Implemented Interfaces:
  AGAVEFeatureCallbackItf, StAXContentHandler

    public class AGAVECompResultHandler

extends StAXFeatureHandler
implements AGAVEFeatureCallbackItf

Author:
  Hanning Ni Doubletwist Inc

Field Summary
`static StAXHandlerFactory` `AGAVE_COMP_RESULT_HANDLER_FACTORY`

Fields inherited from class org.biojava.bio.seq.io.agave.StAXFeatureHandler
`annot, callbackStack, endLoc, featureListener, featureTemplate, myLocalName, stackLevel, startLoc, staxenv, subFeatures`

Method Summary
`void` `addProperty(AGAVEProperty prop)`
`void` `addRelatedAnnot(AGAVERelatedAnnot prop)`
`void` `reportFeature(Location loc)`
`void` `reportStrand(StrandedFeature.Strand strand)`
`void` `startElementHandler(String nsURI, String localName, String qName, Attributes attrs)` Element-specific handler.

Methods inherited from class org.biojava.bio.seq.io.agave.StAXFeatureHandler
`addFeatureToSequence, addHandler, createTemplate, endElement, endElementHandler, getFeatureListener, getHandlerStackIterator, getLevel, pop, push, realizeSubFeatures, setFeatureListener, setHandlerCharacteristics, setProperty, startElement`

Methods inherited from class org.biojava.bio.seq.io.agave.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AGAVE_COMP_RESULT_HANDLER_FACTORY

    public static final StAXHandlerFactory AGAVE_COMP_RESULT_HANDLER_FACTORY

Method Detail

### startElementHandler

    public void startElementHandler(String nsURI,
                                    String localName,
                                    String qName,
                                    Attributes attrs)
                             throws SAXException

  Description copied from class: `StAXFeatureHandler`
  Element-specific handler. Subclass this to do something useful!

  Overrides:
    `startElementHandler` in class `StAXFeatureHandler`
  Throws:
    `SAXException`

### reportFeature

    public void reportFeature(Location loc)

  Specified by:
    `reportFeature` in interface `AGAVEFeatureCallbackItf`

### reportStrand

    public void reportStrand(StrandedFeature.Strand strand)

  Specified by:
    `reportStrand` in interface `AGAVEFeatureCallbackItf`

### addProperty

    public void addProperty(AGAVEProperty prop)

### addRelatedAnnot

    public void addRelatedAnnot(AGAVERelatedAnnot prop)